<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Structures  Reference</title>
    <link rel="stylesheet" type="text/css" href="css/jazzy.css" />
    <link rel="stylesheet" type="text/css" href="css/highlight.css" />
    <meta charset='utf-8'>
    <script src="js/jquery.min.js" defer></script>
    <script src="js/jazzy.js" defer></script>
    
    <script src="js/lunr.min.js" defer></script>
    <script src="js/typeahead.jquery.js" defer></script>
    <script src="js/jazzy.search.js" defer></script>
  </head>
  <body>
    <a name="//apple_ref/swift/Section/Structures" class="dashAnchor"></a>
    <a title="Structures  Reference"></a>
    <header>
      <div class="content-wrapper">
        <p><a href="index.html">HaishinKit 1.8.0 Docs</a> (88% documented)</p>
        <div class="header-right">
          <form role="search" action="search.json">
            <input type="text" placeholder="Search documentation" data-typeahead>
          </form>
        </div>
      </div>
    </header>
    <div class="content-wrapper">
      <p id="breadcrumbs">
        <a href="index.html">HaishinKit Reference</a>
        <img id="carat" src="img/carat.png" alt=""/>
        Structures  Reference
      </p>
    </div>
    <div class="content-wrapper">
      <nav class="sidebar">
        <ul class="nav-groups">
          <li class="nav-group-name">
            <a href="Classes.html">Classes</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Classes/ByteArray.html">ByteArray</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/ByteArray/Error.html">– Error</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/Event.html">Event</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/Event/Name.html">– Name</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/EventDispatcher.html">EventDispatcher</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/IOAudioCaptureUnit.html">IOAudioCaptureUnit</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/IOStream.html">IOStream</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/IOStream/ReadyState.html">– ReadyState</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/IOStreamBitRateStrategy.html">IOStreamBitRateStrategy</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/IOStreamRecorder.html">IOStreamRecorder</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/IOStreamRecorder/Error.html">– Error</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/IOStreamVideoAdaptiveBitRateStrategy.html">IOStreamVideoAdaptiveBitRateStrategy</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/IOVideoCaptureUnit.html">IOVideoCaptureUnit</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/InstanceHolder.html">InstanceHolder</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/MTHKView.html">MTHKView</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/NetClient.html">NetClient</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/NetService.html">NetService</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/NetSocket.html">NetSocket</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PiPHKView.html">PiPHKView</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PiPHKView.html">PiPHKView</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/RTMPConnection.html">RTMPConnection</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/RTMPConnection/Code.html">– Code</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/RTMPResponder.html">RTMPResponder</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/RTMPSharedObject.html">RTMPSharedObject</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/RTMPStream.html">RTMPStream</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/RTMPStream/Code.html">– Code</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/RTMPStream/HowToPublish.html">– HowToPublish</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/SRTConnection.html">SRTConnection</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/SRTLogger.html">SRTLogger</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/SRTStream.html">SRTStream</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/TSReader.html">TSReader</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/TSWriter.html">TSWriter</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/VideoEffect.html">VideoEffect</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Global%20Variables.html">Global Variables</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Global%20Variables.html#/s:10HaishinKit12kASUndefinedAA0C0Vvp">kASUndefined</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Enums.html">Enumerations</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Enums/DeviceUtil.html">DeviceUtil</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/DeviceUtil.html">DeviceUtil</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/FeatureUtil.html">FeatureUtil</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/FeatureUtil/Name.html">– Name</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/IOAudioMixerError.html">IOAudioMixerError</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/IOAudioUnitError.html">IOAudioUnitError</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/IOVideoUnitError.html">IOVideoUnitError</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/ImageTransform.html">ImageTransform</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/RTMPObjectEncoding.html">RTMPObjectEncoding</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/SRTLogFunctionalArea.html">SRTLogFunctionalArea</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/SRTLogLevel.html">SRTLogLevel</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/SRTMode.html">SRTMode</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/SRTSocketOption.html">SRTSocketOption</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Extensions.html">Extensions</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Extensions.html#/s:13SRTHaishinKit9SRTSocketC">SRTSocket</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Protocols.html">Protocols</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Protocols/EventDispatcherConvertible.html">EventDispatcherConvertible</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/IOMuxer.html">IOMuxer</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/IOStreamBitRateStrategyConvertible.html">IOStreamBitRateStrategyConvertible</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/IOStreamDelegate.html">IOStreamDelegate</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/IOStreamObserver.html">IOStreamObserver</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/IOStreamRecorderDelegate.html">IOStreamRecorderDelegate</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/IOStreamView.html">IOStreamView</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/RTMPConnectionDelegate.html">RTMPConnectionDelegate</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/Running.html">Running</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/TSReaderDelegate.html">TSReaderDelegate</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/TSWriterDelegate.html">TSWriterDelegate</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Structs.html">Structures</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Structs/ASArray.html">ASArray</a>
              </li>
              <li class="nav-group-task">
                <a href="Structs/ASTypedObject.html">ASTypedObject</a>
              </li>
              <li class="nav-group-task">
                <a href="Structs/ASUndefined.html">ASUndefined</a>
              </li>
              <li class="nav-group-task">
                <a href="Structs/ASXML.html">ASXML</a>
              </li>
              <li class="nav-group-task">
                <a href="Structs/ASXMLDocument.html">ASXMLDocument</a>
              </li>
              <li class="nav-group-task">
                <a href="Structs/Atomic.html">Atomic</a>
              </li>
              <li class="nav-group-task">
                <a href="Structs/AudioCodecSettings.html">AudioCodecSettings</a>
              </li>
              <li class="nav-group-task">
                <a href="Structs/IOAudioMixerSettings.html">IOAudioMixerSettings</a>
              </li>
              <li class="nav-group-task">
                <a href="Structs/IOAudioMixerTrackSettings.html">IOAudioMixerTrackSettings</a>
              </li>
              <li class="nav-group-task">
                <a href="Structs/IOStreamBitRateStats.html">IOStreamBitRateStats</a>
              </li>
              <li class="nav-group-task">
                <a href="Structs/IOVideoMixerSettings.html">IOVideoMixerSettings</a>
              </li>
              <li class="nav-group-task">
                <a href="Structs/IOVideoMixerSettings/Mode.html">– Mode</a>
              </li>
              <li class="nav-group-task">
                <a href="Structs/RTMPStreamInfo.html">RTMPStreamInfo</a>
              </li>
              <li class="nav-group-task">
                <a href="Structs/SRTPerformanceData.html">SRTPerformanceData</a>
              </li>
              <li class="nav-group-task">
                <a href="Structs/SoundTransform.html">SoundTransform</a>
              </li>
              <li class="nav-group-task">
                <a href="Structs/VTSessionOption.html">VTSessionOption</a>
              </li>
              <li class="nav-group-task">
                <a href="Structs/VideoCodecSettings.html">VideoCodecSettings</a>
              </li>
              <li class="nav-group-task">
                <a href="Structs/VideoCodecSettings/BitRateMode.html">– BitRateMode</a>
              </li>
              <li class="nav-group-task">
                <a href="Structs/VideoCodecSettings/ScalingMode.html">– ScalingMode</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Typealiases.html">Type Aliases</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Typealiases.html#/s:10HaishinKit8ASObjecta">ASObject</a>
              </li>
              <li class="nav-group-task">
                <a href="Typealiases.html#/s:10HaishinKit32IOAudioCaptureConfigurationBlocka">IOAudioCaptureConfigurationBlock</a>
              </li>
              <li class="nav-group-task">
                <a href="Typealiases.html#/s:10HaishinKit32IOVideoCaptureConfigurationBlocka">IOVideoCaptureConfigurationBlock</a>
              </li>
            </ul>
          </li>
        </ul>
      </nav>
      <article class="main-content">
        <section>
          <section class="section">
            <h1>Structures</h1>
            <p>The following structures are available globally.</p>

          </section>
          <section class="section task-group-section">
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit18AudioCodecSettingsV"></a>
                    <a name="//apple_ref/swift/Struct/AudioCodecSettings" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit18AudioCodecSettingsV">AudioCodecSettings</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>The AudioCodecSettings class  specifying audio compression settings.</p>

                        <a href="Structs/AudioCodecSettings.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">struct</span> <span class="kt">AudioCodecSettings</span> <span class="p">:</span> <span class="kt">Codable</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit15VTSessionOptionV"></a>
                    <a name="//apple_ref/swift/Struct/VTSessionOption" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit15VTSessionOptionV">VTSessionOption</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>A structure that represents  Key-Value-Object for the VideoToolbox option.</p>

                        <a href="Structs/VTSessionOption.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">struct</span> <span class="kt">VTSessionOption</span></code></pre>
<pre class="highlight swift"><code><span class="kd">extension</span> <span class="kt">VTSessionOption</span><span class="p">:</span> <span class="kt">Hashable</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit18VideoCodecSettingsV"></a>
                    <a name="//apple_ref/swift/Struct/VideoCodecSettings" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit18VideoCodecSettingsV">VideoCodecSettings</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>The VideoCodecSettings class  specifying video compression settings.</p>

                        <a href="Structs/VideoCodecSettings.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">struct</span> <span class="kt">VideoCodecSettings</span> <span class="p">:</span> <span class="kt">Codable</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit20IOAudioMixerSettingsV"></a>
                    <a name="//apple_ref/swift/Struct/IOAudioMixerSettings" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit20IOAudioMixerSettingsV">IOAudioMixerSettings</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Constraints on the audio mixier settings.</p>

                        <a href="Structs/IOAudioMixerSettings.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">struct</span> <span class="kt">IOAudioMixerSettings</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit25IOAudioMixerTrackSettingsV"></a>
                    <a name="//apple_ref/swift/Struct/IOAudioMixerTrackSettings" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit25IOAudioMixerTrackSettingsV">IOAudioMixerTrackSettings</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Constraints on the audio mixier track&rsquo;s settings.</p>

                        <a href="Structs/IOAudioMixerTrackSettings.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">struct</span> <span class="kt">IOAudioMixerTrackSettings</span> <span class="p">:</span> <span class="kt">Codable</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit20IOStreamBitRateStatsV"></a>
                    <a name="//apple_ref/swift/Struct/IOStreamBitRateStats" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit20IOStreamBitRateStatsV">IOStreamBitRateStats</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>A structure that represents a IOStream&rsquo;s bitRate statics.</p>

                        <a href="Structs/IOStreamBitRateStats.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">struct</span> <span class="kt">IOStreamBitRateStats</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit20IOVideoMixerSettingsV"></a>
                    <a name="//apple_ref/swift/Struct/IOVideoMixerSettings" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit20IOVideoMixerSettingsV">IOVideoMixerSettings</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>The IOVideoMixerSettings represents the pip capture settings for the video capture.</p>

                        <a href="Structs/IOVideoMixerSettings.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">struct</span> <span class="kt">IOVideoMixerSettings</span> <span class="p">:</span> <span class="kt">Codable</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit14SoundTransformV"></a>
                    <a name="//apple_ref/swift/Struct/SoundTransform" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit14SoundTransformV">SoundTransform</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>The SoundTransform class</p>

                        <a href="Structs/SoundTransform.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">struct</span> <span class="kt">SoundTransform</span></code></pre>
<pre class="highlight swift"><code><span class="kd">extension</span> <span class="kt">SoundTransform</span><span class="p">:</span> <span class="kt">CustomDebugStringConvertible</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit11ASUndefinedV"></a>
                    <a name="//apple_ref/swift/Struct/ASUndefined" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit11ASUndefinedV">ASUndefined</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>The ASUndefined structure represents an undefined for ActionScript.</p>

                        <a href="Structs/ASUndefined.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">struct</span> <span class="kt">ASUndefined</span> <span class="p">:</span> <span class="kt">CustomStringConvertible</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit13ASTypedObjectV"></a>
                    <a name="//apple_ref/swift/Struct/ASTypedObject" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit13ASTypedObjectV">ASTypedObject</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>The ASTypedObject structure represents a typed object for ActionScript.</p>

                        <a href="Structs/ASTypedObject.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">struct</span> <span class="kt">ASTypedObject</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit7ASArrayV"></a>
                    <a name="//apple_ref/swift/Struct/ASArray" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit7ASArrayV">ASArray</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>The ASArray structure represents an array value for ActionScript.</p>

                        <a href="Structs/ASArray.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">struct</span> <span class="kt">ASArray</span></code></pre>
<pre class="highlight swift"><code><span class="kd">extension</span> <span class="kt">ASArray</span><span class="p">:</span> <span class="kt">ExpressibleByArrayLiteral</span></code></pre>
<pre class="highlight swift"><code><span class="kd">extension</span> <span class="kt">ASArray</span><span class="p">:</span> <span class="kt">CustomDebugStringConvertible</span></code></pre>
<pre class="highlight swift"><code><span class="kd">extension</span> <span class="kt">ASArray</span><span class="p">:</span> <span class="kt">Equatable</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit13ASXMLDocumentV"></a>
                    <a name="//apple_ref/swift/Struct/ASXMLDocument" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit13ASXMLDocumentV">ASXMLDocument</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>ActionScript 1.0 and 2.0 and flash.xml.XMLDocument in ActionScript 3.0</p>
<div class="aside aside-seealso">
    <p class="aside-title">Seealso</p>
    2.17 XML Document Type (amf0-file-format-specification.pdf)

</div><div class="aside aside-seealso">
    <p class="aside-title">Seealso</p>
    3.9 XMLDocument type (amf-file-format-spec.pdf)

</div>

                        <a href="Structs/ASXMLDocument.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">struct</span> <span class="kt">ASXMLDocument</span> <span class="p">:</span> <span class="kt">CustomStringConvertible</span></code></pre>
<pre class="highlight swift"><code><span class="kd">extension</span> <span class="kt">ASXMLDocument</span><span class="p">:</span> <span class="kt">Equatable</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit5ASXMLV"></a>
                    <a name="//apple_ref/swift/Struct/ASXML" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit5ASXMLV">ASXML</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>ActionScript 3.0 introduces a new XML type.</p>
<div class="aside aside-seealso">
    <p class="aside-title">Seealso</p>
    3.13 XML type (amf-file-format-spec.pdf)

</div>

                        <a href="Structs/ASXML.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">struct</span> <span class="kt">ASXML</span> <span class="p">:</span> <span class="kt">CustomStringConvertible</span></code></pre>
<pre class="highlight swift"><code><span class="kd">extension</span> <span class="kt">ASXML</span><span class="p">:</span> <span class="kt">Equatable</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit14RTMPStreamInfoV"></a>
                    <a name="//apple_ref/swift/Struct/RTMPStreamInfo" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit14RTMPStreamInfoV">RTMPStreamInfo</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>flash.net.NetStreamInfo for Swift</p>

                        <a href="Structs/RTMPStreamInfo.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">struct</span> <span class="kt">RTMPStreamInfo</span></code></pre>
<pre class="highlight swift"><code><span class="kd">extension</span> <span class="kt">RTMPStreamInfo</span><span class="p">:</span> <span class="kt">CustomDebugStringConvertible</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit6AtomicV"></a>
                    <a name="//apple_ref/swift/Struct/Atomic" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit6AtomicV">Atomic</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Atomic<T> class</p>
<div class="aside aside-seealso">
    <p class="aside-title">Seealso</p>
    <a href="https://www.objc.io/blog/2018/12/18/atomic-variables/">https://www.objc.io/blog/2018/12/18/atomic-variables/</a>

</div>

                        <a href="Structs/Atomic.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">struct</span> <span class="kt">Atomic</span><span class="o">&lt;</span><span class="kt">A</span><span class="o">&gt;</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:13SRTHaishinKit18SRTPerformanceDataV"></a>
                    <a name="//apple_ref/swift/Struct/SRTPerformanceData" class="dashAnchor"></a>
                    <a class="token" href="#/s:13SRTHaishinKit18SRTPerformanceDataV">SRTPerformanceData</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>The SRTPerformanceData represents the SRT&rsquo;s performance statistics. This struct is wrapper for an CBytePerfMon.</p>
<div class="aside aside-seealso">
    <p class="aside-title">Seealso</p>
    <a href="https://github.com/Haivision/srt/blob/master/srtcore/srt.h">https://github.com/Haivision/srt/blob/master/srtcore/srt.h</a>

</div>

                        <a href="Structs/SRTPerformanceData.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">struct</span> <span class="kt">SRTPerformanceData</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
          </section>
        </section>
        <section id="footer">
          <p>&copy; 2024 <a class="link" href="https://github.com/shogo4405/HaishinKit.swift" target="_blank" rel="external noopener">shogo4405</a>. All rights reserved. (Last updated: 2024-04-22)</p>
          <p>Generated by <a class="link" href="https://github.com/realm/jazzy" target="_blank" rel="external noopener">jazzy ♪♫ v0.14.4</a>, a <a class="link" href="https://realm.io" target="_blank" rel="external noopener">Realm</a> project.</p>
        </section>
      </article>
    </div>
  </body>
</html>
